## entangle-pixbuf entangle-pixbuf |

## Functions

GdkPixbuf * | entangle_pixbuf_auto_rotate ()
GdkPixbuf * | entangle_pixbuf_open_image ()

## Types and Values

enum | EntanglePixbufImageSlot

## Description

## Functions

### entangle_pixbuf_auto_rotate ()

    GdkPixbuf *
    entangle_pixbuf_auto_rotate (GdkPixbuf *src,
                                 GExiv2Metadata *metadata);

Automatically rotate the pixbuf `src` so that it is in its "natural" orientation. Will first try to apply the orientation associated in the GdkPixbuf object. If this doesn't apply any rotation, then will use the exiv metadata to identify the orientation

#### Parameters

src | the pixbuf to be rotated. | [transfer none]
metadata | the exiv2 metadata for the pixbuf. | [allow-none][transfer none]

#### Returns

the rotated pixbuf.

[transfer full]

### entangle_pixbuf_open_image ()

    GdkPixbuf *
    entangle_pixbuf_open_image (EntangleImage *image,
                                EntanglePixbufImageSlot slot,
                                gboolean applyOrientation,
                                GExiv2Metadata **metadata);

If `slot` is ENTANGLE_PIXBUF_IMAGE_SLOT_MASTER then the primary image data is loaded.

If `slot` is ENTANGLE_PIXBUF_IMAGE_SLOT_PREVIEW and the image is a raw file, any embedded preview data is loaded. For non-raw files the primary image data is loaded.

If `slot` is ENTANGLE_PIXBUF_IMAGE_SLOT_THUMBNAIL and the image is a raw file, any embedded thumbnail data is loaded. For non-raw files any thumbnail in the exiv2 metadata is loaded. If no thumbnail is available, the primary image data is loaded.

#### Parameters

image | the camera image to open |
slot | the type of image data to open |
applyOrientation | whether to rotate to natural orientation |
metadata | filled with metadata object instance. | [allow-none][transfer full]

#### Returns

the pixbuf for the image slot.

[transfer full]

## Types and Values

### enum EntanglePixbufImageSlot

#### Members

ENTANGLE_PIXBUF_IMAGE_SLOT_MASTER |  |
ENTANGLE_PIXBUF_IMAGE_SLOT_PREVIEW |  |
ENTANGLE_PIXBUF_IMAGE_SLOT_THUMBNAIL |  |